---
id: idev
title: idev
hide_title: true
hide_table_of_contents: true
sidebar_label: idev
description: USB connected device commands
---
## ipsw idev

USB connected device commands

```
ipsw idev [flags]
```

### Options

```
  -h, --help          help for idev
  -u, --udid string   Device UniqueDeviceID to connect to
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)
* [ipsw idev afc](/docs/cli/ipsw/idev/afc)	 - FileSystem commands
* [ipsw idev amfi](/docs/cli/ipsw/idev/amfi)	 - amfi commands
* [ipsw idev apps](/docs/cli/ipsw/idev/apps)	 - Application commands
* [ipsw idev comp](/docs/cli/ipsw/idev/comp)	 - List all paired companion devices
* [ipsw idev crash](/docs/cli/ipsw/idev/crash)	 - Crashlog commands
* [ipsw idev diag](/docs/cli/ipsw/idev/diag)	 - Diagnostics commands
* [ipsw idev fsyms](/docs/cli/ipsw/idev/fsyms)	 - Dump device linker and dyld_shared_cache file
* [ipsw idev img](/docs/cli/ipsw/idev/img)	 - Image commands
* [ipsw idev list](/docs/cli/ipsw/idev/list)	 - Dump info about USB connected iDevices
* [ipsw idev loc](/docs/cli/ipsw/idev/loc)	 - Simulate location commands
* [ipsw idev noti](/docs/cli/ipsw/idev/noti)	 - Observe notifications
* [ipsw idev pcap](/docs/cli/ipsw/idev/pcap)	 - Dump network traffic
* [ipsw idev prof](/docs/cli/ipsw/idev/prof)	 - Profile commands
* [ipsw idev prov](/docs/cli/ipsw/idev/prov)	 - Provision commands
* [ipsw idev proxy](/docs/cli/ipsw/idev/proxy)	 - Create a TCP proxy (for ssh/debugging)
* [ipsw idev ps](/docs/cli/ipsw/idev/ps)	 - Process list
* [ipsw idev restore](/docs/cli/ipsw/idev/restore)	 - Restore commands
* [ipsw idev screen](/docs/cli/ipsw/idev/screen)	 - Dump screenshot as a PNG
* [ipsw idev springb](/docs/cli/ipsw/idev/springb)	 - SpringBoard commands
* [ipsw idev syslog](/docs/cli/ipsw/idev/syslog)	 - Dump syslog lines
* [ipsw idev wifi](/docs/cli/ipsw/idev/wifi)	 - Get/Set wifi connections state

